
// MACRO {jan} {"janv."}
// MACRO {feb} {"févr."}
// MACRO {mar} {"mars"}
// MACRO {apr} {"avr."}
// MACRO {may} {"mai"}
// MACRO {jun} {"juin"}
// MACRO {jul} {"juill."}
// MACRO {aug} {"août"}
// MACRO {sep} {"sept."}
// MACRO {oct} {"oct."}
// MACRO {nov} {"nov."}
// MACRO {dec} {"déc."}

// Description du problème
@electronic{EurobotMain,
  author = {Eurobot},
  title = {{Eurobot - Accueil}},
  url = "https://www.eurobot.org",
  year =  {2020},
  urldate = {23 février 2020}
}

@electronic{PlaneteSciences,
  author = {{Planète Sciences}},
  title = {{Planète Sciences}},
  url = "https://www.planete-sciences.org",
  year =  {2020},
  urldate = {23 février 2020}
}

@electronic{Eurobot2019Results,
  author = {{Eurobot}},
  title = {{Eurobot 2019 finals results}},
  url = "https://www.eurobot.org/eurobot/eurobot-2019/eurobot-2019-finals-results",
  year =  {2019},
  urldate = {23 février 2020}
}

@electronic{GRUM2020,
  author = {{Groupe de Robotique de l'Université de Moncton}},
  title = {{Groupe de Robotique de l'Université de Moncton}},
  url = "https://grumoncton.ca",
  year =  {2019},
  urldate = {23 février 2020}
}

@electronic{EurobotRegles2020,
  author = {Eurobot},
  title = {{Règlement Eurobot Open 2020}},
  url = "https://www.eurobot.org/images/2020/Eurobot2020_Rules_Cup_OFFICIAL_FR.pdf",
  year =  {2019},
  month = oct,
  urldate = {23 février 2020}
}


% Bloom bullshit

@article{Bloom,
	title = {{La rédaction d’objectifs d’apprentissage : principes, considérations et exemples}},
	author = {Jean-François Richard},
	url = "https://www.cespm.ca/media/125747/La-r%C3%A9daction-dobjectifs-dapprentissage_principes-consid%C3%A9rations-et-exemples-JF-Richard-FR.pdf",
	month = {janvier},
	year = {2016},
	urldate = {24 février 2020},
}


// ORDINATEUR DE BORD

@electronic{socket,
	author = {\relax Python Software Foundation},
	title = {socket — Low-level networking interface},
	url = "https://docs.python.org/3/library/socket.html",
	urldate = {23 février 2020},
}

@electronic{i2c,
	author = {Jean-Marc Irazabal; Steve Blozis},
	title = {AN10216-01 I2C MANUAL},
	year = {2003},
	month = {mars},
	day = {24},
	url = "https://www.nxp.com/docs/en/application-note/AN10216.pdf",
	urldate = {23 février 2020},
}

@electronic{teensy-usb,
	author = {\relax PJRC},
	title = {Using USB Serial Communication},
	url = "https://www.pjrc.com/teensy/td_serial.html",
	urldate = {23 février 2020},
}

@electronic{cvra,
	author = {\relax CVRA},
	title = {Robot software stack},
	url = "https://cvra.ch/robot-software/",
	urldate = {23 février 2020},
}

@electronic{memristor,
	author = {\relax Memristor Robotics},
	title = {We create autonomous robots},
	url = "https://memristorrobotics.com/#rd",
	urldate = {23 février 2020},
}

@electronic{SPI-teensy,
	author = {\relax PJRC},
	title = {\relax SPI Library},
	url = "https://www.pjrc.com/teensy/td_libs_SPI.html",
	urldate = {23 février 2020},
}

@electronic{smbus2,
	title = {smbus2},
	author = {\relax Python Software Foundation},
	url = "https://pypi.org/project/smbus2/",
	urldate = {23 février 2020},
}

@electronic{teensy,
	title = {{Teensy 4.0 Development Board}},
	author = {{PJRC}},
	url = "https://www.pjrc.com/store/teensy40.html",
	urldate = {25 février 2020},
}

@electronic{teensy4-i2c,
	title = {Richard-Gemmell\/teensy4\_i2c: An I2C library for the Teensy 4. Provides slave and master mode},
	author = {Richard-Gemmell},
	url = "https://github.com/Richard-Gemmell/teensy4_i2c",
	urldate = {23 février 2020},
}

@electronic{odrive-docs,
	title = {ODrive Documentation},
	author = {\relax ODrive Robotics},
	url = "https://docs.odriverobotics.com/",
	urldate = {24 février 2020},
}

@electronic{micro-servo,
	title = {GS-9025MG},
	author = {\relax GoTeck RC Inc},
	url = "http://www.goteckrc.com/Download/GS-9025MG.pdf",
	urldate = {24 février 2020},
}

@electronic{pompe,
	title = {Air Pump Motor - DC 12V/370-02PM},
	author = {\relax Makeblock},
	url = "https://media.digikey.com/pdf/Data%20Sheets/Makeblock%20PDFs/50000_Web.pdf",
	urldate = {24 février 2020},
}

@electronic{moteur,
	title = {9.7:1 Metal Gearmotor 25Dx48L mm LP 12V},
	author = {\relax Pololu Corporation},
	url = "https://www.pololu.com/product/3250",
	urldate = {24 février 2020},
}

@electronic{lipo,
	title = {Turnigy 2650mAh 4S 20C Lipo Pack},
	author = {\relax HobbyKing},
	url = "https://hobbyking.com/en_us/turnigy-2650mah-4s-20c-lipo-pack.html",
	urldate = {24 février 2020},
}

@electronic{Pololu-d24v50f5,
	title = {Pololu 5V, 5A Step-Down Voltage Regulator D24V50F5},
	author = {\relax Pololu},
	url = "https://www.pololu.com/product/2851",
	urldate = {24 février 2020},
}

@electronic{Pololu-d24v150f6,
	title = {Pololu 6V, 15A Step-Down Voltage Regulator D24V150F6},
	author = {\relax Pololu},
	url = "https://www.pololu.com/product/2882",
	urldate = {24 février 2020},
}

@electronic{Pololu-d24v150f12,
	title = {Pololu 12V, 15A Step-Down Voltage Regulator D24V150F12},
	author = {\relax Pololu},
	url = "https://www.pololu.com/product/2885",
	urldate = {24 février 2020},
}

@electronic{PoluluTofExample,
	title = {{vl53l0x-arduino/Continuous.ino at master · pololu/vl53l0x-arduino}},
	url = "https://github.com/pololu/vl53l0x-arduino/blob/master/examples/Continuous/Continuous.ino",
	author = {{Pololu}},
	urldate = {5 avril 2020},
}

@electronic{STM32F103RCT6,
	title = {STM32F103xC, STM32F103xD, STM32F103xE},
	author = {\relax STMicroelectronics},
	url = "https://www.st.com/content/ccc/resource/technical/document/datasheet/59/f6/fa/84/20/4e/4c/59/CD00191185.pdf/files/CD00191185.pdf/jcr:content/translations/en.CD00191185.pdf",
	urldate = {25 février 2020},
}

@electronic{SQJ951EP,
	title = {Automotive Dual P-Channel 30 V (D-S) 175 °C MOSFET},
	author = {\relax Vishay Siliconix},
	url = "http://www.vishay.com/docs/63658/sqj951ep.pdf",
	urldate = {25 février 2020},
}

@electronic{ACS711,
	title = {Hall-Effect Linear Current Sensor with Overcurrent Fault Output for <100 V Isolation Applications},
	author = {\relax Allegro MicroSystems, LLC},
	url = "https://www.allegromicro.com/~/media/Files/Datasheets/ACS711-Datasheet.ashx",
	urldate = {25 février 2020},
}

@electronic{LDT-N2804RI,
	title = {QUASARBRITE 0.28" 3 DIGIT, 7SGMT DISPLAY, 635nm RED, COMMON CATHODE},
	author = {\relax Lumex Opto/Components Inc.},
	url = "https://www.lumex.com/spec/LDT-N2804RI.pdf",
	urldate = {25 février 2020},
}

@electronic{AS1108WL-T,
	title = {AS1108 4-Digit LED Display Driver},
	author = {\relax austriamicrosystems AG},
	url = "https://ams.com/documents/20143/36005/AS1108_DS000169_2-00.pdf",
	urldate = {25 février 2020},
}

@electronic{0472192001,
	title = {SD-45219-001},
	author = {\relax Molex Incorporated},
	url = "https://www.molex.com/pdm_docs/sd/472192001_sd.pdf",
	urldate = {25 février 2020},
}

@electronic{JST,
	title = {PH CONNECTOR},
	author = {\relax JST},
	url = "http://www.jst-mfg.com/product/pdf/eng/ePH.pdf",
	urldate = {25 février 2020},
}

@electronic{PC-6,
	title = {1841539 Phoenix Contact | Connectors, Interconnects | DigiKey},
	author = {\relax Digi-Key Electronics},
	url = "https://www.digikey.ca/products/en?keywords=277-10319-ND",
	urldate = {25 février 2020},
}

@electronic{PC-10,
	title = {1841571 Phoenix Contact | Connectors, Interconnects | DigiKey},
	author = {\relax Digi-Key Electronics},
	url = "https://www.digikey.ca/products/en?keywords=277-10323-ND",
	urldate = {25 février 2020},
}

@electronic{PC-12,
	title = {1841597 Phoenix Contact | Connectors, Interconnects | DigiKey},
	author = {\relax Digi-Key Electronics},
	url = "https://www.digikey.ca/products/en?keywords=277-10325-ND",
	urldate = {25 février 2020},
}

@electronic{PC-2,
	title = {1017503 Phoenix Contact | Connectors, Interconnects | DigiKey},
	author = {\relax Digi-Key Electronics},
	url = "https://www.digikey.ca/products/en?keywords=277-17514-ND",
	urldate = {25 février 2020},
}

@electronic{FTDI,
	title = {FT232RL 3.3V 5.5V FTDI USB to TTL Serial Adapter Module},
	author = {\relax Gikfun},
	url = "http://www.gikfun.com/belong-to-you-modules-c-68/ft232rl-33v-55v-ftdi-usb-to-ttl-serial-adapter-module-p-537.html",
	urldate = {25 février 2020},
}



//
// POSITIONNEMENT
//

// Capteurs ToF

@electronic{AdafruitVL53L0X2020,
	title = {{Adafruit VL53L0X Time of Flight Micro-LIDAR Distance Sensor Breakout - Arduino Code}},
	author = {{Adafruit Industries}},
	url = "https://learn.adafruit.com/adafruit-vl53l0x-micro-lidar-distance-sensor-breakout/arduino-code",
	year =  {2020},
  	month = apr,
	urldate = {4 avril 2020},
}







//
// VISION
//

// General

@book{Forsyth2012,
 Author = {David A. Forsyth},
 title = {Computer Vision: A Modern Approach (2nd Edition)},
 publisher = {Pearson},
 year = {2011},
 month = {nov},
 isbn = {978-0136085928}
}

@book{Solem2012,
 Author = {Jan Erik Solem},
 title = {Programming Computer Vision with Python: Tools And Algorithms For Analyzing Images},
 publisher = {O'Reilly Media},
 year = {2012},
 month = {jun},
 isbn = {978-1449316549},
}

// Girouette

@electronic{PlaneteSciences2019Forum,
	title = {{Forum Planète Sciences 2019}},
	author = {{Planète Sciences}},
	url = "https://www.youtube.com/watch?v=ImQAZJbvipk",
	year =  {2019},
  	month = sep,
	urldate = {27 février 2020},
}

// Concepts

@electronic{GRUMRobots2019,
	title = {{Eurobot 2019}},
	author = {{Groupe de Robotique de l'Université de Moncton}},
	url = "https://grumoncton.ca/fr/robots/2019",
	year =  {2019},
	month = oct,
	urldate = {1 mars 2020},
}

@electronic{CVRAArUCoEN2019,
	title = {{CVRA sur Twitter}},
	author = {{Club Vaudois de Robotique Autonome
}},
	url = "https://twitter.com/_cvra_/status/1192219409986859008",
	year =  {2019},
	month = nov,
	urldate = {1 mars 2020},
}

@electronic{CVRAArUCoFR2019,
	title = {{CVRA sur Twitter}},
	author = {{Club Vaudois de Robotique Autonome
}},
	url = "https://twitter.com/_cvra_/status/1192219156667650049",
	year =  {2019},
	month = nov,
	urldate = {1 mars 2020},
}

@electronic{CRLGArUCo2020,
	title = {{CRLG sur Twitter}},
	author = {{Club Robotique La Garenne}},
	url = "https://twitter.com/CRLG_Robotique/status/1213213428153749505",
	year =  {2020},
	month = jan,
	urldate = {1 mars 2020},
}


// ArUco Markers

@article{GarridoJurado2014,
	doi = {10.1016/j.patcog.2014.01.005},
	url = {https://doi.org/10.1016/j.patcog.2014.01.005},
	year = {2014},
	month = jun,
	publisher = {Elsevier {BV}},
	volume = {47},
	number = {6},
	pages = {2280--2292},
	author = {S. Garrido-Jurado and R. Mu{\~{n}}oz-Salinas and F.J. Madrid-Cuevas and M.J. Mar{\'{\i}}n-Jim{\'{e}}nez},
	title = {Automatic generation and detection of highly reliable fiducial markers under occlusion},
	journal = {Pattern Recognition}
}

@article{GarridoJurado2016,
	doi = {10.1016/j.patcog.2015.09.023},
	url = {https://doi.org/10.1016/j.patcog.2015.09.023},
	year = {2016},
	month = mar,
	publisher = {Elsevier {BV}},
	volume = {51},
	pages = {481--491},
	author = {S. Garrido-Jurado and R. Mu{\~{n}}oz-Salinas and F.J. Madrid-Cuevas and R. Medina-Carnicer},
	title = {Generation of fiducial marker dictionaries using Mixed Integer Linear Programming},
	journal = {Pattern Recognition}
}

@article{RomeroRamirez2018,
  doi = {10.1016/j.imavis.2018.05.004},
  url = {https://doi.org/10.1016/j.imavis.2018.05.004},
  year = {2018},
  month = aug,
  publisher = {Elsevier {BV}},
  volume = {76},
  pages = {38--47},
  author = {Francisco J. Romero-Ramirez and Rafael Mu{\~{n}}oz-Salinas and Rafael Medina-Carnicer},
  title = {Speeded up detection of squared fiducial markers},
  journal = {Image and Vision Computing}
}

@electronic{OpenCVPyPi2020,
	title = {{opencv-contrib-python 4.2.0.32}},
	author = {{Python Package Index}},
	url = "https://pypi.org/project/opencv-contrib-python/",
	year =  {2020},
	month = feb,
	urldate = {28 février 2020},
}

@electronic{ArUco2018,
	title = {{ArUco: a minimal library for Augmented Reality applications based on OpenCV}},
	author = {{Grupo de investigación "Aplicaciones de la Visión Artificial" (A.V.A) de la Universidad de Córdoba}},
	url = "http://www.uco.es/investiga/grupos/ava/node/26",
	year =  {2018},
	month = apr,
	urldate = {28 février 2020},
}

@electronic{JeVois2016,
	title = {{Demo ArUco - Simple demo of ArUco augmented reality markers detection and decoding.}},
	author = {Laurent Itti},
	url = "http://jevois.org/moddoc/DemoArUco/modinfo.html",
	year =  {2016},
	month = sep,
	urldate = {28 février 2020},
}

@electronic{ArUcoGenerator2016,
	title = {{Online ArUco markers generator}},
	author = {Oleg Kalachev},
	url = "http://chev.me/arucogen/",
	year =  {2018},
	month = dec,
	urldate = {28 février 2020},
}

@incollection{Ferro2018,
  doi = {10.1007/978-3-319-93000-8_41},
  url = {https://doi.org/10.1007/978-3-319-93000-8_41},
  year = {2018},
  publisher = {Springer International Publishing},
  pages = {363--369},
  author = {Jos{\'{e}} Ferr{\~{a}}o and Paulo Dias and Ant{\'{o}}nio J. R. Neves},
  title = {{Detection of Aruco Markers Using the Quadrilateral Sum Conjuncture}},
  booktitle = {Lecture Notes in Computer Science}
}

@electronic{OpenCVDictionaries2020,
	title = {{PREDEFINED\_DICTIONARY\_NAME}},
	author = {{OpenCV Documentation}},
	url = "https://docs.opencv.org/master/d9/d6a/group__aruco.html#gac84398a9ed9dd01306592dd616c2c975",
	year =  {2020},
	month = feb,
	urldate = {28 février 2020},
}

@electronic{PlaneteScienceForumsArUco2020,
	title = {{Tags ArUco}},
	author = {{GRUM}},
	url = "https://www.planete-sciences.org/forums/viewtopic.php?f=106&t=18699",
	year =  {2019},
	month = nov,
	urldate = {28 février 2020},
}

@electronic{StackOverflowArUcoPose2019,
	title = {{ARCore Pose and Aruco estimatePoseSingleMarkers}},
	author = {Salvatore Cozzubo},
	url = "https://stackoverflow.com/questions/54078932/arcore-pose-and-aruco-estimateposesinglemarkers",
	year =  {2019},
	month = jan,
	urldate = {28 février 2020},
}

@electronic{OpenCVChArUco2020,
	title = {{Detection of ChArUco Corners}},
	author = {Sergio Garrido},
	url = "https://docs.opencv.org/3.4/df/d4a/tutorial_charuco_detection.html",
	year =  {2020},
	month = feb,
	urldate = {28 février 2020},
}


// Calculs Matriciels

@book{Gosselin2019,
	author = {Clément Gosselin},
	title = {{Éléments de Robotique - GMC3351 / GMC7046}},
	publisher = {Université Laval},
	address = {Québec},
	year = {2019},
	month = jan
}

@book{Roberge2012,
	author = {Jean-Philippe Roberge},
	title = {{Robotique - ELE4203 -  Cours 1 : Introduction à la matière et transformations homogènes}},
	publisher = {Polytechnique Montréal},
	address = {Montréal},
	year = {2012},
	month = aug
}

@electronic{OpenCVGeometric2020,
	title = {{Geometric Image Transformations}},
	author = {{OpenCV Documentation}},
	url = "https://docs.opencv.org/trunk/da/d54/group__imgproc__transform.html",
	year =  {2020},
	month = feb,
	urldate = {29 février 2020},
}

@book{RichardTaillet2018,
	Author = {Richard Taillet},
	title = {Dictionnaire de physique},
	year = {2018},
	month = {jan},
	publisher = {De Boeck Sup},
	isbn = {2807307442},
}

@book{LeonhardEuler2018,
	author = {Leonhard Euler},
	title = {{Introductio in analysin infinitorum. Tomus 1}},
	url = "http://eulerarchive.maa.org/pages/E101.html",
	address = {Lausanne},
	volume = 1,
	year = 1748,
	publisher = {Apud Marcum-Michaelem Bousquet}
}

@inproceedings{Ameller2002,
	author = {Marc-André Ameller, Long Quan and Bill Triggs},
	title = {{Le Calcul de Pose: de nouvelles méthodes matricielles}},
	booktitle = {Reconnaissance des Formes et Intelligence Artificielle ({RFIA} ’02)},
	address = {Angers, France},
	month = jan,
	year = {2002},
	pages = "39-47"
}


// Camera

@book{Faugeras1993,
	Author = {Olivier Faugeras},
	Title = {{Three-Dimensional Computer Vision - A Geometric Viewpoint}},
	Publisher = {The MIT Press},
	address = {Cambridge, Massachusetts},
	Year = {1993},
	Month = nov,
	ISBN = {0262061589}
}

@electronic{OpenCVCameraCalibration2020,
	title = {{Camera Calibration and 3D Reconstruction}},
	author = {{OpenCV Documentation}},
	url = "https://docs.opencv.org/master/d9/d0c/group__calib3d.html",
	year =  {2020},
	month = mar,
	urldate = {1 mars 2020},
}

@book{Kitani2017,
	author = {Kris Kitani},
	title = {{16-385 Computer Vision :  11.1 Camera Matrix}},
	publisher = {Carnegie Mellon University},
	address = {Pittsburgh, Pennsylvanie},
	year = {2017},
	month = jan
}

@electronic{OpenCVPythonCameraCalibration2020,
	title = {{Camera Calibration}},
	author = {{OpenCV Documentation}},
	url = "https://docs.opencv.org/4.2.0/dc/dbb/tutorial_py_calibration.html",
	year =  {2019},
	month = dec,
	urldate = {1 mars 2020},
}




//
// Strategie
//

@electronic{Eurobot2020CAD,
	title = {{Eurobot2020 TableElement Cup v50.zip}},
	author = {{Eurobot}},
	url = "https://www.eurobot.org/images/2020/Eurobot2020_TableElement_Cup_v50.zip",
	urldate = {1 mars 2020},
}




//
// Entraînement
//

// Modèle de contrôle de vitesse

@electronic{TimBowerUnicycle,
	url = "http://faculty.salina.k-state.edu/tim/robotics_sg/Control/kinematics/unicycle.html",
	title = {{The Unicycle Model}},
	author = {Tim Bower},
	urldate = {24 mars 2020},
}

@electronic{CollisionFreeTracking,
	url = "https://www.esi.nl/publications/falcon/Collision_free_Coordination_Mobile_Robots.pdf",
	title = {{Collision-free Tracking Control of Unicycle Mobile Robots}},
	author = {D. Kostić and S. Adinandra and J. Caarls and N. van de Wouw and H. Nijmeijer},
	urldate = {24 mars 2020},
}

@electronic{ControlUnicycle,
	url = "http://users.isr.ist.utl.pt/~jag/publications/08-JETC-RCarona-vcontrol.pdf",
	title = {{CONTROL OF UNICYCLE TYPE ROBOTS}},
	author = {Ricardo Carona and A. Pedro Aguiar and Jos ́e Gaspar},
	urldate = {24 mars 2020},
	year = {2008},
	month = {nov},
}

@electronic{ControlOfMobileRobots,
	url = "https://www.coursera.org/learn/mobile-robot",
	author = {Dr. Magnus Egerstedt},
	title = {{Control of Mobile Robots}},
	urldate = {24 mars 2020},
	publisher = {Coursera},
}

@electronic{Aerodrive,
	title = {{Turnigy Aerodrive SK3 - 4250-350KV Brushless Outrunner Motor}},
	url = "https://hobbyking.com/en_us/turnigy-aerodrive-sk3-4250-350kv-brushless-outrunner-motor.html",
	author = {{HobbyKing}},
	urldate = {6 avril 2020},
}

@electronic{ODrive,
	title = {{ODrive}},
	url = "https://odriverobotics.com/",
	author = {{ODriveRobotics}},
	urldate = {6 avril 2020},
}


































@electronic{pyserial,
	url = "https://pythonhosted.org/pyserial/",
	title = {{Welcome to pySerial’s documentation}},
	author = {Chris Liechti},
	urldate = {4 avril 2020},
}

@electronic{struct,
	url = "https://docs.python.org/fr/3.8/library/struct.html",
	title = {{struct — manipulation de données agrégées sous forme binaire comme une séquence d'octets}},
	author = {{Python Software Foundation}},
	urldate = {4 avril 2020},
}

@electronic{threading,
	url = "https://docs.python.org/fr/3.8/library/threading.html#module-threading",
	title = {{threading — Parallélisme basé sur les fils d’exécution (threads)}},
	author = {{Python Software Foundation}},
	urldate = {24 février 2020},
}

@electronic{sched,
	url = "https://docs.python.org/fr/3/library/sched.html",
	title = {{sched — Event scheduler}},
	author = {{Python Software Foundation}},
	urldate = {24 février 2020},
}

@electronic{simple-pid,
	url = "https://github.com/m-lundberg/simple-pid",
	author = {Martin Lundberg},
	title = {{m-lundberg/simple-pid: A simple and easy to use PID controller in Python}},
	urldate = {24 février 2020},
}







@electronic{WidowXL,
	author = {{Génération ROBOTS}},
	title = {{WidowXL Robot Arm (with servomotors)}},
	url = "https://www.generationrobots.com/en/403005-widowxl-robot-arm-with-servo.html",
	year = {2019},
	urldate = {26 février 2020},
}

@electronic{Pinion,
	title = {{Industrial Rack \& Pinion Gear Set}},
	url = "https://www.indiamart.com/proddetail/industrial-rack-pinion-gear-set-13977936448.html",
	author = {{ndiaMART InterMESH Ltd.}},
	urldate = {26 février 2020},
}

@electronic{ventouse,
	author = {{Piab AB}},
	url = "https://www.piab.com/Products/suction-cups/shape/flat/f---flat-15-150-mm/0101293/#specs",
	title = {{Suction cup F25 Chloroprene, G1/8" male, with mesh filter}},
	urldate = {26 février 2020},
}

@electronic{servo-RDS3225,
	url = "http://arduinosensors.nl/index.php/product/1x-robot-servo-25kg-rds3225-metal-gear-digital-servo-arduino-servo-with-long-and-short-straight-u-mouting-2/",
	urldate = {26 février 2020},
	title = {{1X Robot servo 25kg RDS3225 metal gear digital servo arduino servo with Long and Short Straight U Mouting}},
	author = {{BlueCore Tech KVK}},
}

@electronic{pololu-stepper,
	url = "https://www.pololu.com/product/2690",
	title = {{Stepper Motor with 38cm Lead Screw: Bipolar, 200 Steps/Rev, 42×38mm, 2.8V, 1.7 A/Phase}},
	author = {{Pololu Corporation}},
	urldate = {26 février 2020},
}

@electronic{gear-set,
	title = {{ServoCity 27:1 1/4" to 6mm Worm Gear Set}},
	url = "https://www.robotshop.com/ca/en/servocity-271-1-4-to-6mm-worm-gear-set.html",
	author = {{RobotShop Inc.}},
	urldate = {26 février 2020},
}

@electronic{Romirofs,
	title = {{Romirofs RC Helicopter Micro 9g Metal Gear Servo GS-9025MG walkera}},
	url = "https://www.amazon.ca/Romirofs-Helicopter-Micro-GS-9025MG-walkera/dp/B07Q22996Z/ref=sr_1_1?dchild=1&keywords=GS9025MG&qid=1580662134&sr=8-1",
	author = {{Amazon}},
	urldate = {26 février 2020},
}

@electronic{hbridge,
	url = "http://www.ti.com/lit/ds/symlink/drv8800.pdf",
	title = {{DRV880xDMOSFull-BridgeMotorDrivers}},
	author = {{Texas Instruments}},
	urldate = {26 février 2020},
}






















@electronic{RPLIDAR-home,
	title = {RPLIDAR\-A2 Laser Range Scanner Solid Laser Range Scanner|SLAMTEC},
	author = {\relax Slamtec},
	url = "https://www.slamtec.com/en/Lidar/A2",
	urldate = {26 février 2020},
}

@electronic{RPLIDAR-datasheet,
	title = {RPLIDAR A2 Low Cost 360 Degree Laser Range Scanner Introduction and Datasheet},
	author = {\relax Slamtec},
	url = "http://bucket.download.slamtec.com/d00df2d983fa1f47a24c56d489f4b4917773fb45/LD208_SLAMTEC_rplidar_datasheet_A2M8_v2.5_en.pdf",
	urldate = {26 février 2020},
}

@electronic{RPLIDAR-robotshop,
	title = {RPLIDAR A2M8 360° Laser Scanner},
	author = {\relax RobotShop Inc.},
	url = "https://www.robotshop.com/ca/en/rplidar-a2m8-360-laser-scanner.html",
	urldate = {26 février 2020},
}

@electronic{ultra,
	title = {HC-SR04 Datasheet},
	author = {P. Marian},
	url = "https://www.electroschematics.com/hc-sr04-datasheet/",
	publisher = {Components 101},
	urldate = {26 février 2020},
}

@electronic{ultra-datasheet,
	title = {Ultrasonic Ranging Module HC - SR04},
	author = {\relax Elec Freaks},
	url = "https://www.electroschematics.com/wp-content/uploads/2013/07/HCSR04-datasheet-version-1.pdf",
	urldate = {26 février 2020},
}

@electronic{ultra-sparkfun,
	title = {Ultrasonic Distance Sensor - HC-SR04},
	author = {\relax SparkFun Electronics},
	url = "https://www.sparkfun.com/products/15569",
	urldate = {26 février 2020},
}

@electronic{VL53L0X,
	title = {VL53L0X Time-of-Flight Distance Sensor Carrier with Voltage Regulator, 200cm Max},
	author = {\relax Pololu},
	url = "https://www.pololu.com/product/2490",
	urldate = {26 février 2020},
}

@electronic{VL53L0X-datasheet,
	title = {VL53L0X World’s smallest Time-of-Flight ranging and gesture detection  sensor},
	author = {\relax STMicroelectronics},
	url = "https://www.pololu.com/file/0J1187/vl53l0x.pdf",
	urldate = {26 février 2020},
}

@article{Dijkstra1959,
  doi = {10.1007/bf01386390},
  url = {https://doi.org/10.1007/bf01386390},
  year = {1959},
  month = dec,
  publisher = {Springer Science and Business Media {LLC}},
  volume = {1},
  number = {1},
  pages = {269--271},
  author = {E. W. Dijkstra},
  title = {A note on two problems in connexion with graphs},
  journal = {Numerische Mathematik}
}


@article{Hassani2018,
  doi = {10.1155/2018/2163278},
  url = {https://doi.org/10.1155/2018/2163278},
  year = {2018},
  month = jun,
  publisher = {Hindawi Limited},
  volume = {2018},
  pages = {1--13},
  author = {Imen Hassani and Imen Maalej and Chokri Rekik},
  title = {Robot Path Planning with Avoiding Obstacles in Known Environment Using Free Segments and Turning Points Algorithm},
  journal = {Mathematical Problems in Engineering}
}






//
// IMPACTS
//

// Environnement

@Article{ROHS2003,
	author = {{Conseil de l'Union Européenne}},
	title   = {Directive 2002/95/CE du Parlement européen et du Conseil du 27 janvier 2003 relative à la limitation de l'utilisation de certaines substances dangereuses dans les équipements électriques et électroniques},
	year    = {2003-02-13},
	journal = {Journal officiel de l'Union européenne},
	volume  = {L 37/19},
	pages   = {30--47},
	url = {https://eur-lex.europa.eu/legal-content/FR/ALL/?uri=CELEX:32002L0095}
}

@electronic{Sculpteo2019,
	author = {{Sculpteo}},
	title = {{PLA (Polylactic Acid) : Plastique biodégradable}},
	url = "https://www.sculpteo.com/fr/glossaire/pla-definition-fr/",
	year =  {2020},
	urldate = {2 mars 2020}
}

@electronic{Filabot2019,
	author = {{Filabot}},
	title = {{Filabot : Filament maker}},
	url = "https://www.filabot.com/",
	year =  {2020},
	urldate = {2 mars 2020}
}

// Social

@electronic{LaboJeunes2019,
	author = {{Université de Moncton}},
	title = {{Repaire jeunesse de Moncton lance un programme de robotique avec l’Université de Moncton}},
	url = "https://www.umoncton.ca/nouvelles/info.php?page=22&langue=0&id=22695&campus_selection=all",
	year =  {2019},
	month = nov,
	urldate = {2 mars 2020}
}

@electronic{PlaceRobots2019,
	author = {Alexandre Boudreau},
	title = {{Des robots qui ont retenu l’attention à Shediac}},
	url = "https://www.acadienouvelle.com/actualites/2019/05/13/des-robots-qui-ont-retenu-lattention-a-shediac/",
	year =  {2019},
	month = may,
	urldate = {2 mars 2020}
}

@electronic{BrickStory2020,
	author = {{Brickstory}},
	title = {{Brickstory}},
	url = "https://twitter.com/brickstory",
	year =  {2020},
	urldate = {2 mars 2020}
}

@electronic{TexasInstruments2019,
	author = {{Texas Instruments Incorporated}},
	title = {{TI Corporate Citizenship Topic Brief - Conflict minerals}},
	url = "https://www.ti.com/lit/ml/sszo013b/sszo013b.pdf",
	year =  {2019},
	urldate = {2 mars 2020}
}

@electronic{Langlois2019,
	author = {Sophie Langlois},
	title = {{Du sang dans nos cellulaires}},
	url = "https://ici.radio-canada.ca/info/2019/05/coltan-republique-democratique-congo-mines-enfants/",
	year =  {2019},
	month = may,
	urldate = {2 mars 2020}
}

@book{Deneault2008,
	author = {Alain Deneault},
	title = {{Noir Canada : Pillage, corruption et criminalité en Afrique}},
	publisher = {Ecosociété},
	address = {Pittsburgh, Pennsylvanie},
	year = {2008},
	month = apr
}


// Qualités requises du BCAPG

@electronic{BCAPG2019,
  author = {{Bureau Canadien d'Agrément des Programmes de Génie}},
  title = {{Normes et procédures d’agrément 2019}},
  url = "https://engineerscanada.ca/sites/default/files/accreditation/Accreditation-Criteria-Procedures-2019.pdf",
  year =  {2019},
  urldate = {27 février 2020}
}



//
// COVID-19
//

// Contexte

@electronic{ChronologieCOVID2020,
	title = {{Première chronologie de l’émergence du Covid-19}},
	author = {{Jean-Marc B.}},
	url = "https://blogs.mediapart.fr/jean-marc-b/blog/290320/premiere-chronologie-de-l-emergence-du-covid-19",
	year =  {2020},
	month = mar,
	urldate = {6 avril 2020},
}

@electronic{ChronologyCOVIDBusinessInsider2020,
	title = {{A comprehensive timeline of the new coronavirus pandemic, from China's first COVID-19 case to the present}},
	author = {Holly Secon, Aylin Woodward and Dave Mosher},
	url = "https://www.businessinsider.com/coronavirus-pandemic-timeline-history-major-events-2020-3",
	year =  {2020},
	month = apr,
	urldate = {6 avril 2020},
}

// Tenue d'Eurobot

@electronic{PlaneteSciencesForumReport2020,
  author = {{Planète Sciences}},
  title = {{CdFr et coronavirus : annulation ? report ?}},
  url = "https://www.planete-sciences.org/forums/viewtopic.php?f=1&t=18740",
  year =  {2020},
  month = mar,
  urldate = {7 avril 2020}
}

// Rapatriement d'équipements

@electronic{UMonctonCommuniquesCOVID2020,
  author = {{Université de Moncton}},
  title = {{Communiqués}},
  url = "https://www.umoncton.ca/covid-19/node/22",
  year =  {2020},
  month = mar,
  urldate = {7 avril 2020}
}

// Déclaration

@electronic{GRUMDeclaration2020,
	title = {{Déclaration du GRUM sur Twitter}},
	author = {{Groupe de Robotique de l'Université de Moncton}},
	url = "https://twitter.com/grumoncton/status/1240664387125489665",
	year =  {2020},
	month = mar,
	urldate = {6 avril 2020},
}






















































@electronic{mecanum,
	author = {{Oz Robotics}},
	title = {{100mm double plastic plate omni-wheel with central bearing 14060}},
	url = "100mm double plastic plate omni-wheel with central bearing 14060",
	urldate = {24 février 2020},
}

@misc{spangler1988method,
  title={{Width variable structure of moving and transport means using mecanum wheels}},
  author={Cheol Han Kim and Hee Tae Yang and Seong Ki Ha and Hee Chan Kim and Dae Yub You and Wan Lee and Sang Hyun Han},
  url={http://www.google.it/patents/US4741207},
  year={1988},
  month=may # "~3",
  publisher={Google Patents},
  note={US Patent 4,741,207}
}

@electronic{holonomic,
	url = "https://cdn3.volusion.com/yfhnd.tsrvb/v/vspfiles/photos/vex-217-2584-2T.jpg?v-cache=1386681132",
	author = {{Volusion, LLC}},
	urldate = {24 février 2020},
	title = {{vex-217-2854-2T.jpg}},
}

@electronic{differential-drive,
	url = "http://www.people.vcu.edu/~mmanic/RS_RobotResEmotivHMI.html",
	title = {{HUMAN MACHINE INTERACTION VIA BRAIN ACTIVITY MONITORING}},
	author = {{Modern Heuristics Research Group}},
	urldate = {24 février 2020},
}

@electronic{differential-steering,
	url = "https://commons.wikimedia.org/wiki/File:DifferentialSteering.svg",
	title = {{File:DifferentialSteering.svg}},
	author = {{NikNaks}},
	urldate = {26 février 2020},
	day = {30},
	month = {mai},
	year = {2010},
}

@electronic{brushed-1,
	title = {{File:Electric motor cycle 1.png}},
	url = "https://commons.wikimedia.org/wiki/File:Electric_motor_cycle_1.png",
	author = {{Wapcaplet}},
	urldate = {26 février 2020},
}

@electronic{brushed-2,
	title = {{File:Electric motor cycle 2.png}},
	url = "https://commons.wikimedia.org/wiki/File:Electric_motor_cycle_2.png",
	author = {{Wapcaplet}},
	urldate = {26 février 2020},
}

@electronic{brushed-3,
	title = {{File:Electric motor cycle 3.png}},
	url = "https://commons.wikimedia.org/wiki/File:Electric_motor_cycle_3.png",
	author = {{Wapcaplet}},
	urldate = {26 février 2020},
}

@electronic{bldc,
	title = {{Mieux connaître un BLDC: commande de moteur CC sans balais sans capteur}},
	url = "http://fr.ecrimpower.com/resources/better-know-a-bldc-sensorless-brushless-dc-motor-c.html",
	author = {{ECRI Microelectronics}},
	urldate = {26 février 2020},
}

@electronic{bldc-bobines,
	title = {{How Brushless Motor and ESC Work}},
	url = "https://howtomechatronics.com/how-it-works/how-brushless-motor-and-esc-work/",
	author = {{Dejan}},
	urldate = {26 février 2020},
}

@electronic{stepper,
	title = {{File:Moteur pas à pas MRV.png}},
	url = "https://commons.wikimedia.org/wiki/File:Moteur_pas_%C3%A0_pas_MRV.png",
	author = {{M4RC0}},
	urldate = {26 février 2020},
}

@electronic{neopixel,
	title = {{8 LED NeoPixel Ring - RGB WS2812}},
	url = "https://www.diyelectronics.co.za/store/neopixel/2431-8-led-neopixel-ring-rgb-ws2812.html",
	author = {{DIYElectronics}},
	urldate = {26 février 2020},
}

@electronic{hockey,
	title = {{41d-eDdXUfL.jpg}},
	url = "https://images-na.ssl-images-amazon.com/images/I/41d-eDdXUfL.jpg",
	author = {{Amazon}},
	urldate = {26 février 2020},
}

@electronic{tof-principe,
	title = {{Understanding Optical Time-of-Flight (ToF) Technology}},
	url = "https://www.youtube.com/watch?v=TpjnooXhOmY",
	author = {{Texas Instruments Incorporated}},
	urldate = {24 février 2020},
}

@electronic{encoder-difference,
	author = {{RealPars}},
	url = "https://www.youtube.com/watch?v=-Qk--Sjgq78",
	title = {{What is the Difference between Absolute and Incremental Encoders?}},
	urldate = {24 février 2020},
}

@electronic{capacitive-encoders,
	tite = {{What are capacitive encoders and where are they suitable?}},
	url = "https://www.motioncontroltips.com/faq-what-are-capacitive-encoders-and-where-are-they-suitable/",
	author = {Danielle Collins},
	urldate = {24 février 2020},
	day = {29},
	month = {oct},
	year = {2015},
}

@electronic{digikey-capacitive-encoders,
	title = {{Hangout on Air with Digi-Key and CUI Inc.}},
	url = "https://www.youtube.com/watch?v=goMIFifwNzE",
	author = {{Digi-Key Electronics}},
	urldate = {24 février 2020},
}

@electronic{gyromètre,
	title = {{Gyromètre}},
	url = "https://fr.wikipedia.org/wiki/Gyrom%C3%A8tre",
	author = {{Wikipedia}},
	urldate = {24 février 2020},
}

@electronic{accéléromètre,
	title = {{Accéléromètre}},
	url = "https://fr.wikipedia.org/wiki/Acc%C3%A9l%C3%A9rom%C3%A8tre",
	author = {{Wikipedia}},
	urldate = {24 février 2020},
}

@electronic{AMT102,
	title = {{AMT102-V}},
	url = "https://www.moonsindustries.com/p/encoder-amt10-series/amt102-v-000004716140201160",
	author = {{MOONS}},
	urldate = {24 février 2020},
}

@electronic{imu,
	url = "https://www.pololu.com/product/2738",
	title = {{MinIMU-9 v5 Gyro, Accelerometer, and Compass (LSM6DS33 and LIS3MDL Carrier)}},
	author = {{Pololu Corporation}},
	urldate = {24 février 2020},
}

@electronic{decawave,
	url = "https://www.decawave.com/wp-content/uploads/2019/01/DWM1001-DEV_Datasheet-1.2.pdf",
	title = {{Product Datasheet: DWM1001-DEV}},
	author = {{Decawave Ltd.}},
	urldate = {24 février 2020},
}

@electronic{decawaveApi,
	url = "https://www.decawave.com/wp-content/uploads/2019/01/DWM1001-API-Guide-2.2.pdf",
	title = {{DWM1001 FIRMWARE APPLICATION PROGRAMMING INTERFACE (API) GUIDE}},
	author = {{Decawave Ltd.}},
	urldate = {24 février 2020},
}}

@book{IntroductionToDigitalCommunications,
	author = {Ali Grami},
	doi = {10.1016/c2012-0-06171-6},
	url = {https://doi.org/10.1016/c2012-0-06171-6},
	year = {2016},
	publisher = {Elsevier},
	title = {Introduction to Digital Communications}
}

// electronic{Belkoura2004,
//   author = {Belkoura, Lofti},
//   title = {{Laboratoire d’Automatique, Génie Informatique et Signal (LAGIS) - S7 Module: Représentation d’État}},
//   url = "http://lagis.cnrs.fr/IMG/pdf/Cours_S7_Etat.pdf",
//   publisher = {Laboratoire d’Automatique, Génie Informatique et Signal - Université Lille-I - Sciences et Technologies},
//   year =  {2004},
//   month = nov,
//   urldate = {28 novembre 2019}
// }

// book{Labo3Ghribi2019,
// author = {Ghribi, Mohsen},
// title = {GELE4132 Asservissements linéaires - Laboratoire 3 : Effet des pôles et zéros additionnels sur la réponse d’un système de deuxième ordre},
// publisher = {Université de Moncton},
// year = {2019},
// month = oct
// }
